/*
 * Copyright 2022 Free Software Foundation, Inc.
 *
 * This file is part of GNU Radio
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 */

/***********************************************************************************/
/* This file is automatically generated using bindtool and can be manually edited  */
/* The following lines can be configured to regenerate this file during cmake      */
/* If manual edits are made, the following tags should be modified accordingly.    */
/* BINDTOOL_GEN_AUTOMATIC(0)                                                       */
/* BINDTOOL_USE_PYGCCXML(0)                                                        */
/* BINDTOOL_HEADER_FILE(crc_async.h)                                               */
/* BINDTOOL_HEADER_FILE_HASH(0)                                                    */
/***********************************************************************************/

#include <pybind11/complex.h>
#include <pybind11/pybind11.h>
#include <pybind11/stl.h>

namespace py = pybind11;

#include <gnuradio/satnogs/crc.h>
#include <gnuradio/satnogs/crc_async.h>

using crc = ::gr::satnogs::crc;

void bind_crc_async(py::module& m)
{
    using crc_async = ::gr::satnogs::crc_async;
    py::class_<crc_async, gr::block, gr::basic_block, std::shared_ptr<crc_async>>(
        m, "crc_async")
        .def(py::init([](crc::type crc, bool check, bool nbo) {
            return crc_async::make(crc, check, nbo);
        }))
        .def(py::init([](const CRC::Parameters<crcpp_uint8, 8>& crc,
                         bool check,
                         bool nbo) { return crc_async::make(crc, check, nbo); }))
        .def(py::init([](const CRC::Parameters<crcpp_uint16, 16>& crc,
                         bool check,
                         bool nbo) { return crc_async::make(crc, check, nbo); }))
        .def(py::init([](const CRC::Parameters<crcpp_uint32, 32>& crc,
                         bool check,
                         bool nbo) { return crc_async::make(crc, check, nbo); }));
}